export default function installHook(global?: any): {
    listeners: Map<string, Set<(...args: any[]) => void>>;
    on<E extends import("./core").HookEventNames>(event: E, callback: import("./core").HookEventCallbackMap[E]): void;
    off<E extends import("./core").HookEventNames>(event: E, callback: import("./core").HookEventCallbackMap[E]): void;
    emit<E extends import("./core").HookEventNames>(event: E, ...args: Parameters<import("./core").HookEventCallbackMap[E]>): void;
};
